%global modulename npm-profile

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-profile
Version:        3.0.2
Release:        1%{?dist}
Summary:        Library for updating an npmjs.com profile

License:        ISC
URL:            https://github.com/npm/npm-profile/tree/latest/lib#readme
Source0:        https://registry.npmjs.org/npm-profile/-/npm-profile-3.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aproba) >= 1.1.2 with npmlib(aproba) < 2.0.0) or (npmlib(aproba) >= 2.0.0 with npmlib(aproba) < 3.0.0))
BuildRequires:  ((npmlib(make-fetch-happen) >= 2.5.0 with npmlib(make-fetch-happen) < 3.0.0) or (npmlib(make-fetch-happen) >= 3.0.0 with npmlib(make-fetch-happen) < 4.0.0) or (npmlib(make-fetch-happen) >= 4.0.0 with npmlib(make-fetch-happen) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Library for updating an npmjs.com profile

%package 3.0.2
Summary:        Library for updating an npmjs.com profile


%description 3.0.2
Library for updating an npmjs.com profile

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.0.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 3.0.2-1
- Package automatically generated by npm2srpm
